import { Headers, Query } from '../jumbo';
import { RecipeModel } from './recipeModel';
import { JumboObject } from '../base/jumboObject';
export declare class Recipe extends JumboObject {
    /**
     * Get recipe from ID
     * @param recipeId Recipe ID
     */
    getRecipeFromId(recipeId: number, headers?: Headers, query?: Query): Promise<RecipeModel>;
}
